summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2016-10-25 13:13:01 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2016-10-25 13:13:01 +0000
commit07357f5916ea7380a6008b6e29d50c1889311491 (patch)
treed9f0c5fa35941b7484aaf575cc1aac90d7ac4b20 /bin
parentReleasing debian version 20160801-1. (diff)
downloadopen-infrastructure-compute-tools-07357f5916ea7380a6008b6e29d50c1889311491.tar.xz
open-infrastructure-compute-tools-07357f5916ea7380a6008b6e29d50c1889311491.zip
Merging upstream version 20161101.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/container-nsenter22
-rwxr-xr-xbin/container-shell7
2 files changed, 6 insertions, 23 deletions
diff --git a/bin/container-nsenter b/bin/container-nsenter
deleted file mode 100755
index 7c83361..0000000
--- a/bin/container-nsenter
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/bin/sh
-
-# container-tools - Manage systemd-nspawn containers
-# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-set -e
-
-# Run
-script -c "/bin/bash -l" -q /dev/null
diff --git a/bin/container-shell b/bin/container-shell
index fd85d93..da91c76 100755
--- a/bin/container-shell
+++ b/bin/container-shell
@@ -23,6 +23,8 @@ PROGRAM="container"
COMMAND="$(basename ${0})"
+LC_ALL="C.UTF-8"
+
Usage ()
{
echo "Usage: ${PROGRAM}-shell" >&2
@@ -64,6 +66,9 @@ Shell ()
echo "$(for COMMAND in about logout *; do echo ${COMMAND}; done | sort)"
cd "${OLDPWD}"
+ echo
+ echo "Use 'help COMMAND' for more information."
+
return
;;
@@ -82,7 +87,7 @@ Shell ()
return
else
echo
- "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" "${OPTIONS}" || true
+ sudo "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" "${OPTIONS}" || true
fi
}